Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 570434 - dev-dotnet/libgdiplus-4.2-r3 stable request
Summary: dev-dotnet/libgdiplus-4.2-r3 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: STABLEREQ
: 597038 (view as bug list)
Depends on: 604644
Blocks: giflib-5
  Show dependency tree
 
Reported: 2015-12-31 19:51 UTC by Ramon Dantas
Modified: 2017-02-23 16:30 UTC (History)
6 users (show)

See Also:
Package list:
dev-dotnet/libgdiplus-4.2-r3 media-libs/giflib-5.1.4
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ramon Dantas 2015-12-31 19:51:59 UTC
The current stable version, dev-dotnet/libgdiplus-2.10.9-r1, won't build with the error "undefined reference to QuantizeBuffer", as seen on #465714. dev-dotnet/libgdiplus-2.10.9-r2 has a patch with the fix, however is keyworded as unstable.
Comment 1 Alex Xu (Hello71) 2016-01-01 19:58:36 UTC
I don't see the issue. giflib-5 isn't even in ~arch yet, let alone stable.
Comment 2 Pacho Ramos gentoo-dev 2016-05-05 11:03:18 UTC
Also this cannot be stabilized without stabilizing also newer giflib... :/
Comment 3 Martin Mokrejš 2016-07-29 20:55:57 UTC
Incidentally, I found this in my STDERR:

$ pkg-config --list-all    | grep -i hts
Variable 'libjpeg_prefix' not defined in '/usr/lib64/pkgconfig/libgdiplus.pc'
$

$ cat /usr/lib64/pkgconfig/libgdiplus.pc
prefix=/usr
exec_prefix=${prefix}
libdir=/usr/lib64
includedir=${prefix}/include


Name: libgdiplus
Description: GDI+ implementation
Version: 2.10.9
Requires: glib-2.0 gmodule-2.0 gthread-2.0
Libs: -L${libdir} -lgdiplus -lglib-2.0  -lcairo   -lfontconfig -lfreetype  -lfreetype  -lXrender -lX11  -L${libjpeg_prefix}/lib -ljpeg -ltiff -lgif -lpng -lz -lexif 
Cflags: -I${includedir} -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -D_REENTRANT -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libdrm -I/usr/include/libpng16   -I/usr/include/freetype2  -I/usr/include/freetype2   -I/usr/include/libexif 
$
Comment 4 Pacho Ramos gentoo-dev 2016-10-15 09:16:52 UTC
*** Bug 597038 has been marked as a duplicate of this bug. ***
Comment 5 Frank Krömmelbein 2016-11-19 16:23:19 UTC
media-libs/giflib-5.1.4 has now stable keywords:
https://bugs.gentoo.org/show_bug.cgi?id=569652

Current stable libgdiplus does not rebuild now with current stable media-libs/giflib.
Please continue stabilization here.
Comment 6 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2016-11-20 02:21:36 UTC
arches, this is needed stable for use with the new giflib as noted by Frank above
Comment 7 Michael Palimaka (kensington) gentoo-dev 2016-11-20 08:44:09 UTC
amd64/x86 stable
Comment 8 Agostino Sarubbo gentoo-dev 2016-12-28 08:39:59 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 9 Michael Palimaka (kensington) gentoo-dev 2016-12-31 17:32:43 UTC
An automated check of this bug failed - repoman reported dependency errors (39 lines truncated): 

> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=media-libs/giflib-5.1.2:=']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=media-libs/giflib-5.1.2:=']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=media-libs/giflib-5.1.2:=']
Comment 10 Stabilization helper bot gentoo-dev 2017-01-04 07:51:00 UTC
An automated check of this bug failed - repoman reported dependency errors (4 lines truncated): 

> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland) ['dev-lang/mono']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop) ['dev-lang/mono']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome) ['dev-lang/mono']
Comment 11 Stabilization helper bot gentoo-dev 2017-01-04 12:28:59 UTC
An automated check of this bug failed - repoman reported dependency errors (4 lines truncated): 

> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland) ['dev-lang/mono']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop) ['dev-lang/mono']
> dependency.bad dev-dotnet/libgdiplus/libgdiplus-4.2-r2.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome) ['dev-lang/mono']
Comment 12 Stabilization helper bot gentoo-dev 2017-02-08 14:00:27 UTC
An automated check of this bug failed - the following atom is unknown:

dev-dotnet/libgdiplus-4.2-r3

Please verify the atom list.
Comment 13 Cynede gentoo-dev 2017-02-09 07:03:06 UTC
added
Comment 14 Michael Weber (RETIRED) gentoo-dev 2017-02-23 07:40:04 UTC
ppc ppc64 stable.
Comment 15 Stabilization helper bot gentoo-dev 2017-02-23 08:00:53 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 16 Agostino Sarubbo gentoo-dev 2017-02-23 15:55:37 UTC
amd64 stable
Comment 17 Agostino Sarubbo gentoo-dev 2017-02-23 16:30:55 UTC
x86 stable. Closing.